Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.activity
Interface ActionCreating

All Known Subinterfaces:
  ActionGroup, ActivationOrder, ConcurrentGroup, ConcurrentSchedule, Schedule

All Known Implementing Classes:
  ScheduleImpl, ActionGroupImpl

public interface ActionCreating
extends FActionCreating, FActionCreatingS, ActionCreatingCall, ActionCreatingCallS, ActionCreatingTo, ActionCreatingToS, ActionCreatingForEach, ActionCreatingForEachS, FActionCreatingForEachHeterogeneous, FActionCreatingForEachHeterogeneousS, FActionCreatingForEachHomogeneous, FActionCreatingForEachHomogeneousS

Protocol shared by ActionGroup and Schedule.. ActionCreating defines the createAction messages for ActionGroup just so that this protocol may be shared with Schedule, where they provide a convenience interface for the creation of actions in the schedule at time zero. The createAction messages declare all arguments of the message to be of object id type, but you are free to cast other pointers and values up to the limits defined by the global portability assumptions. These is not portable across all machine architectures, but is expected to be portable across the 32-bit and 64-bit architectures on which Swarm will be supported. The message you send must still be declared to receive the type of argument you actually pass, before you cast it to the id type. (.. Alternative approaches to argument typing are currently in development, but these will supplement rather than replace the current forms of createAction messages.) Each of the createAction messages returns the action object which it creates. Each different kind of createAction message returns a different type of Action object with a matching name. These Action objects provide access to all the information with which the Action was initialized. The complete set of Action object types is defined below together with the messages that may be used to access their contents. (.. The implementation of the Action objects is currently undergoing change as the responsibility for parameter and return value typing gets taken over by ActionType in defobj.)

Method Summary
`java.lang.Object` | `createAction(java.lang.Object anActionType)` The createAction: message specifies that processing of another action type is to be performed by the action.

Methods inherited from interface swarm.activity.FActionCreating
`createFAction`

Methods inherited from interface swarm.activity.ActionCreatingTo
`createActionTo$message, createActionTo$message, createActionTo$message, createActionTo$message`

Methods inherited from interface swarm.activity.ActionCreatingForEach
`createActionForEach$message, createActionForEach$message, createActionForEach$message, createActionForEach$message, createActionForEachHomogeneous$message`

Methods inherited from interface swarm.activity.FActionCreatingForEachHeterogeneous
`createFActionForEachHeterogeneous$call`

Methods inherited from interface swarm.activity.FActionCreatingForEachHomogeneous
`createFActionForEachHomogeneous$call`

Method Detail

### createAction

    public java.lang.Object createAction(java.lang.Object anActionType)

  The createAction: message specifies that processing of another action type is to be performed by the action. The referenced action type is performed in its entirety, from start to finish, as the effect of the single created action.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD